# Generated by Django 4.2.3 on 2023-08-31 15:49

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("accounts", "0006_organizationmemberinvitation"),
        ("auth", "0012_alter_user_first_name_max_length"),
        ("organizations", "0004_alter_organization_avatar"),
    ]

    operations = [
        migrations.AlterField(
            model_name="organization",
            name="created_by",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.RESTRICT,
                to=settings.AUTH_USER_MODEL,
                verbose_name="organization_fk_user_name",
            ),
        ),
        migrations.AlterField(
            model_name="organization",
            name="language",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.RESTRICT,
                to="accounts.language",
                verbose_name="organization_fk_languages_name",
            ),
        ),
        migrations.AlterField(
            model_name="socialmedia",
            name="owner_organization",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="organizations.organization",
                verbose_name="social_media_fk_organization_name",
            ),
        ),
        migrations.AlterField(
            model_name="userorganizationgroup",
            name="group",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="auth.group",
                verbose_name="user_organization_group_fk_group_name",
            ),
        ),
        migrations.AlterField(
            model_name="userorganizationgroup",
            name="organization",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="organizations.organization",
                verbose_name="user_organization_group_fk_organization_name",
            ),
        ),
        migrations.AlterField(
            model_name="userorganizationgroup",
            name="user",
            field=models.OneToOneField(
                on_delete=django.db.models.deletion.CASCADE,
                to=settings.AUTH_USER_MODEL,
                verbose_name="user_organization_group_fk_user_name",
            ),
        ),
    ]
